.mat-cell, .mat-header-cell{
    justify-content: center;
    text-align: center;
    text-overflow: ellipsis;
}

@media screen and (max-width: 960px) {
    
    .mat-table caption {
        font-size: 1em;
    }

    .mat-table .mat-row {
        border-bottom: 15px solid #ddd;
        display: block;
    }

    .mat-table .mat-header-cell {
        border: 10px solid;
        clip: rect(0 0 0 0);
        height: 1px;
        margin: -1px;
        padding: 0;
        position: absolute;
        width: 1px;
    }

    .mat-table .mat-cell {
        border-bottom: 1px solid #ddd;
        display: block;
        font-size: 1em;
        text-align: center;
        height:auto;
        margin-bottom: 2%;
    }

    .mat-table .mat-cell:before {
        margin-left: 5%;
        content: attr(data-label);
        float: left;
        text-transform: uppercase;
        font-size: .85em;
    }

    .mat-table .mat-cell:first-child {
        margin-top:2%;
    }
}